﻿using IGXamGrid.Core.ViewModels;
using Infragistics.Controls;
using MvvmCross.WindowsUWP.Views;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace IGXamGrid {
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainView : MvxWindowsPage {

        public MainViewModel Vm => (MainViewModel)ViewModel;
        public MainView()
        {
            //var data = new TestData();
            
            this.InitializeComponent();

            //Grid1.ItemsSource = data;
        }

        private void grid1_SelectedItemsChanged(object sender, GridSelectedItemsChangedEventArgs args)
        {
            if (args.AddedItems != null && args.AddedItems.Count > 0) {
                System.Diagnostics.Debug.WriteLine("Selected items added: " + args.AddedItems.Count);
            }
            if (args.RemovedItems != null && args.RemovedItems.Count > 0) {
                System.Diagnostics.Debug.WriteLine("Selected items removed: " + args.RemovedItems.Count);
            }
        }
    }
}
